<?php // Do not delete these lines
if ('comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
die ('Please do not load this page directly. Thanks!');

if (!empty($post->post_password)) { // if there's a password
if ($_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) {  // and it doesn't match the cookie
?>

<p>This post is password protected. Enter the password to view comments.<p>

<?php
return;
}
}

/* This variable is for alternating comment background */
$oddcomment = 'alt';
?>

<?php if ($comments) : ?>

<h3 id="comments">Comments on <?php the_title(); ?></h3>

<ol class="comments">
<?php foreach ($comments as $comment) : ?>
<li>
<p class="small">Posted by <?php comment_author() ?> on <?php comment_date('m.d.y') ?> <?php comment_time() ?></p>
<?php if ($comment->comment_approved == '0') : ?>
<em>Your comment is awaiting moderation.</em>
<?php endif; ?>
<?php comment_text() ?>
</li>
<?php endforeach; /* end for each comment */ ?>
</ol>

<p>
<?php /* SEO Comment Code Start */ ?><?php comments_rss_icon_link() ?><?php /* SEO Comment Code End */ ?><?php if ( pings_open() ) : ?> | 
&#183; <a href="<?php trackback_url() ?>" rel="trackback,nofollow"><?php _e('TrackBack <abbr title="Uniform Resource Identifier">URI</abbr>'); ?></a>
<?php endif; ?>
</p>

<?php else : // this is displayed if there are no comments so far ?>

<?php if ('open' == $post->comment_status) : ?>

<p>
<?php /* SEO Comment Code Start */ ?><?php comments_rss_icon_link() ?><?php /* SEO Comment Code End */ ?><?php if ( pings_open() ) : ?> | 
&#183; <a href="<?php trackback_url() ?>" rel="trackback,nofollow"><?php _e('TrackBack <abbr title="Uniform Resource Identifier">URI</abbr>'); ?></a>
<?php endif; ?>
</p>

<?php /* If comments are open, but there are no comments.*/ ?>

<?php else : // comments are closed ?>

<p>Comments are closed on <?php the_title(); ?></p>

<?php endif; ?>
<?php endif; ?>

<?php if ('open' == $post->comment_status) : ?>

<?php if ( get_option('comment_registration') && !$user_ID ) : ?>

<h3 id="respond">Post Comments to <?php the_title(); ?></h3>
<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php the_permalink(); ?>" rel="nofollow">logged in</a> to post a comment.</p>

<?php else : ?>

<h3 id="respond">Post Comments to <?php the_title(); ?></h3>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
<fieldset>

<?php if ( $user_ID ) : ?>
<label for="author"><a href="<?php echo get_option('siteurl'); ?>/wp-login.php?action=logout" title="Log out of this account">Logout?</a></label>
<input type="text" name="author" id="author" value="<?php echo $user_identity; ?>" tabindex="1" disabled="disabled" /><br />
<?php else : ?>

<label for="author">Name<?php if ($req) echo "*"; ?></label>
<input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" tabindex="1" /><br />

<label for="email">Mail<?php if ($req) echo "*"; ?></label>
<input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" tabindex="2" /><br />

<?php /*
<label for="url">Website</label>
<input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" tabindex="3" /><br />
: */ ?>

<?php endif; ?>

<label for="comment">Message<?php if ($req) echo "*"; ?></label>
<textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea><br />

<input type="reset" tabindex="6" value="Reset" class="button" />
<input name="submit" type="submit" id="submit" tabindex="5" value="Post" class="button" />
<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
<?php do_action('comment_form', $post->ID); ?>

</fieldset>
</form>

<p><strong><acronym title="eXtensible HyperText Markup Language">XHTML</acronym> allowed:</strong> <?php echo allowed_tags(); ?>  while commenting on <?php the_title(); ?></p>
<p>* Required. Your email will never be displayed in public.</p>

<?php endif; // If registration required and not logged in ?>

<?php endif; // if you delete this the sky will fall on your head ?>
